<%@ Page Language="C#" AutoEventWireup="true" Inherits="ui.page.sitemap" ValidateRequest="false" %>
<%@ Import namespace="System.Collections.Generic" %>
<%@ Import namespace="System.Text" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Common" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by WJDHcms Template Engine at 2019/5/22 17:04:21.
		本页面代码由WJDHCMS模板引擎生成于 2019/5/22 17:04:21. 
	*/

	base.OnInit(e);
	StringBuilder templateBuilder = new StringBuilder(220000);

	templateBuilder.Append("<div id=\"leftnav\">\r\n\r\n\r\n  <ul>\r\n\r\n\r\n    <li><a href=\"");
	templateBuilder.Append(Utils.ObjectToStr(site.order_url));
	templateBuilder.Append("\">首页</a></li>\r\n\r\n\r\n    ");
	DataTable menu1 = get_category_list(0,10,"","listorder desc");

	foreach(DataRow dr1 in menu1.Rows)
	{

	templateBuilder.Append("\r\n\r\n\r\n    <li><a href=\"");
	templateBuilder.Append(linkurl(0,Utils.ObjectToStr(dr1["id"])));

	templateBuilder.Append("\" title=\"" + Utils.ObjectToStr(dr1["catname"]) + "\">" + Utils.ObjectToStr(dr1["catname"]) + "</a>\r\n\r\n\r\n      <ul>\r\n\r\n\r\n        ");
	DataTable menu2 = get_category_list(Utils.StrToInt(Utils.ObjectToStr(dr1["id"]), 0),10,"","listorder asc");

	foreach(DataRow dr2 in menu2.Rows)
	{

	templateBuilder.Append("\r\n\r\n\r\n        <li><a href=\"");
	templateBuilder.Append(linkurl(0,Utils.ObjectToStr(dr2["id"])));

	templateBuilder.Append("\" title=\"" + Utils.ObjectToStr(dr2["catname"]) + "\">" + Utils.ObjectToStr(dr2["catname"]) + "</a></li>\r\n\r\n\r\n        ");
	}	//end for if

	templateBuilder.Append("\r\n\r\n\r\n      </ul>\r\n\r\n\r\n    </li>\r\n\r\n\r\n\r\n\r\n\r\n  ");
	}	//end for if

	templateBuilder.Append("\r\n\r\n\r\n    </ul>\r\n\r\n\r\n</div>\r\n\r\n\r\n");

	templateBuilder.Append("<style>\r\n\r\n\r\n	.driving-way .hd li.on{\r\n\r\n\r\n		background:rgb(#d42220);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.product-message .btn-tj {\r\n\r\n\r\n		background-color: rgba(#d42220, 1);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.case-list li .more {\r\n\r\n\r\n		background-color: rgba(#d42220, 1);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.news-tab .on,\r\n\r\n\r\n	.product-cat li .on {\r\n\r\n\r\n		background-color: rgba(#d42220, 1);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.news-top .info span {\r\n\r\n\r\n		background-color: rgba(#d42220, 1);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.pages .current {\r\n\r\n\r\n		background-color: rgba(#d42220, 1);\r\n\r\n\r\n		border: 1px solid rgba(#d42220, 1);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.product-info a svg {\r\n\r\n\r\n		fill: rgb(#d42220);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.footer-bar .foot-icon {\r\n\r\n\r\n		color: rgb(#d42220);\r\n\r\n\r\n	}\r\n\r\n\r\n	\r\n\r\n\r\n	.footer-bar li span {\r\n\r\n\r\n		color: rgba(#d42220, .63);\r\n\r\n\r\n	}\r\n\r\n\r\n</style>");


	Response.Write(templateBuilder.ToString());
}
</script>
